// Generated by gencpp from file teleop_msgs/GTParams.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_GTPARAMS_H
#define TELEOP_MSGS_MESSAGE_GTPARAMS_H

#include <ros/service_traits.h>


#include <teleop_msgs/GTParamsRequest.h>
#include <teleop_msgs/GTParamsResponse.h>


namespace teleop_msgs
{

struct GTParams
{

typedef GTParamsRequest Request;
typedef GTParamsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct GTParams
} // namespace teleop_msgs


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::teleop_msgs::GTParams > {
  static const char* value()
  {
    return "2d7aed71a95980a2d156ffd0840bab20";
  }

  static const char* value(const ::teleop_msgs::GTParams&) { return value(); }
};

template<>
struct DataType< ::teleop_msgs::GTParams > {
  static const char* value()
  {
    return "teleop_msgs/GTParams";
  }

  static const char* value(const ::teleop_msgs::GTParams&) { return value(); }
};


// service_traits::MD5Sum< ::teleop_msgs::GTParamsRequest> should match
// service_traits::MD5Sum< ::teleop_msgs::GTParams >
template<>
struct MD5Sum< ::teleop_msgs::GTParamsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::GTParams >::value();
  }
  static const char* value(const ::teleop_msgs::GTParamsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::GTParamsRequest> should match
// service_traits::DataType< ::teleop_msgs::GTParams >
template<>
struct DataType< ::teleop_msgs::GTParamsRequest>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::GTParams >::value();
  }
  static const char* value(const ::teleop_msgs::GTParamsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::teleop_msgs::GTParamsResponse> should match
// service_traits::MD5Sum< ::teleop_msgs::GTParams >
template<>
struct MD5Sum< ::teleop_msgs::GTParamsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::GTParams >::value();
  }
  static const char* value(const ::teleop_msgs::GTParamsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::GTParamsResponse> should match
// service_traits::DataType< ::teleop_msgs::GTParams >
template<>
struct DataType< ::teleop_msgs::GTParamsResponse>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::GTParams >::value();
  }
  static const char* value(const ::teleop_msgs::GTParamsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_GTPARAMS_H
